1.4.2

Discussion in 'EDGE' started by HarbXkT, May 14, 2011.

May 14, 2011

1.4.2 by HarbXkT at 9:59 PM (2,767 Views / 0 Likes) 13 replies

  1. HarbXkT
    OP

    Newcomer HarbXkT Newbie

    Joined:
    May 14, 2011
    Messages:
    1
    Country:
    United States
    I have recently purchased an iEdge and was wondering whether or not it works with version 1.4.2 for DSi XL. If not, is there going to be an update soon for it? Thanks.
     
  2. Crystal the Glaceon

    Member Crystal the Glaceon GBAtemp Inkling™ Squishies~

    Joined:
    Sep 13, 2009
    Messages:
    14,770
    Location:
    Inkopolis
    Country:
    Antarctica
    It will not work and honestly they might have an update, but it might be months from now like the last time the DSi updated
     
  3. phoenix1234

    Newcomer phoenix1234 Advanced Member

    Joined:
    Nov 18, 2010
    Messages:
    85
    Country:
    United Kingdom
    dont hold ya breath is all i can say......
     
  4. FlashX007

    Newcomer FlashX007 GBAtemp Maniac

    Joined:
    May 3, 2009
    Messages:
    1,295
    Country:
    United States
    Horrible begginers choice on my part. This will be my first review for my new sponsors. Don't want to return to reviewing if this cart is shitty but lets see what I can make out of it once it comes.
     
  5. Maid-chan

    Member Maid-chan GBAtemp Regular

    Joined:
    Jul 8, 2010
    Messages:
    229
    Location:
    Jakarta, Indonesia
    Country:
    Indonesia
    fortunately I didn't update my DSi XL... Well, waiting for a long time again...
     
  6. DjoeN

    Member DjoeN Captain Haddock!

    Joined:
    Oct 21, 2005
    Messages:
    4,927
    Location:
    Somewhere in this potatoland!
    Country:
    Belgium
    The card isn't shitty, it has good compatibility and is very easy to use.
    The only problem is that it lacks fast updates. You can tell when an update is comming out [​IMG]
    When CycloDS Evolution gets an update, you can bet on it, that EDGE/iEDGE gets an update a few days or weeks later [​IMG]
     
  7. bitonio6

    Member bitonio6 GBAtemp Advanced Maniac

    Joined:
    Sep 30, 2009
    Messages:
    1,801
    Country:
    Switzerland
  8. Clookster

    Banned Clookster Your Clookster

    Joined:
    Aug 20, 2009
    Messages:
    710
    Location:
    Suisse Romande
    Country:
    Switzerland
    Yes, it has good compatibility because of the Open Source Wood updates (untill Wood 1.25).

    It's not easy to use. The bootstap update is the most complicated thing in my entire flashcard collection. And I have a lot of flashcards.

    You can't even sort the ROMs the way you like it, Team Cyclops thought that you should better buy their $50 card if you need this feature...

    It's more a Demo for Evo / iEvo than a real flashcard.
     
  9. bitonio6

    Member bitonio6 GBAtemp Advanced Maniac

    Joined:
    Sep 30, 2009
    Messages:
    1,801
    Country:
    Switzerland
    [​IMG] [​IMG] [​IMG]

    My GOD ?!
    [​IMG]
     
  10. Jan1tor

    Member Jan1tor GBAtemp Fan

    Joined:
    Jul 8, 2007
    Messages:
    461
    Location:
    Ohio
    Country:
    United States
    The Edge team has finally put up a patch for 1.4.2 I kind of figured they would wait till after the 3DS update.
     
  11. Pyrmon

    Member Pyrmon Burnin' Monkey Love

    Joined:
    Sep 25, 2010
    Messages:
    1,086
    Location:
    Montreal
    Country:
    Canada
    Wait... What? iEDGE can use Wood?!?
    Bootstrap update was very easy for a total noob friend of mine.
    Who cares about sorting ROMs?

    It was my first flashcard and I loved it to death.
     
  12. ferofax

    Member ferofax End of the World

    Joined:
    Jan 26, 2009
    Messages:
    2,564
    Location:
    Philippines
    Country:
    Philippines
    ...you do know the reason why they went for this? they could've bootstrapped it themselves before shipping, but they didn't for legal reasons. other than that, assuming the firmwares are updated, they have really good compatibility, plus it's drag & drop too. no patching or anything before being able to play a game.

    and i don't remember Wood working on EDGE (or an iEDGE), so i really have no idea where you're getting on with that... :/
     
  13. NDS-Gear

    Member NDS-Gear Member

    Joined:
    May 11, 2009
    Messages:
    33
    Country:
    United States
    The iEDGE can now be played on 1.4.2 DSi's, although NOT YET on the 3DS.

    Sadly I know this because we have to re-flash and test every card before sending them out, lol [​IMG]

    Hopefully they'll release 3DS compatibility soon!
     
  14. ferofax

    Member ferofax End of the World

    Joined:
    Jan 26, 2009
    Messages:
    2,564
    Location:
    Philippines
    Country:
    Philippines
    now that is nifty, saving the customers from needing to meddle with flashing flashcards.
     

Share This Page